Bug 282201 - Setting to suppress "User is typing" signal from being sent to other parties
Summary: Setting to suppress "User is typing" signal from being sent to other parties
Status: RESOLVED FIXED
Alias: None
Product: telepathy
Classification: Unclassified
Component: accounts-kcm (show other bugs)
Version: unspecified
Platform: Unlisted Binaries Linux
: NOR wishlist
Target Milestone: Future
Assignee: Telepathy Bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-09-17 10:45 UTC by George Goldberg
Modified: 2013-04-16 22:37 UTC (History)
5 users (show)

See Also:
Latest Commit:
Version Fixed In: 0.7.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description George Goldberg 2011-09-17 10:45:49 UTC
Setting to suppress "User is typing" signal from being sent to other parties. 

Assigned to Francesco for 0.2.
Comment 1 David Edmundson 2011-10-10 13:37:00 UTC
Not done in time, removing from 0.2
Comment 2 Daniele E. Domenichelli 2011-10-10 16:23:00 UTC
I agree we should support this, skype has 2 different settings: "Show others when I'm typing" and "Show when others are typing"
Comment 3 Francesco Nwokeka 2011-12-09 17:37:25 UTC
anyone still find this useful?
Comment 4 Daniele E. Domenichelli 2011-12-10 10:34:53 UTC
Yesterday I asked on identi.ca just to see if I'm the only crazy person who wants it, and this is the result: http://identi.ca/conversation/86420871
Comment 5 Dario Freddi 2011-12-13 16:55:44 UTC
(In reply to comment #4)
> Yesterday I asked on identi.ca just to see if I'm the only crazy person who
> wants it, and this is the result: http://identi.ca/conversation/86420871

Thank you very much, that's indeed really relevant. I was personally against it but I reckon we should provide the option
Comment 6 Martin Klapetek 2013-04-16 10:50:54 UTC
Git commit 3a5fd3e5a9cfccb7c700a5b8f9212e7ecd76e8d6 by Martin Klapetek, on behalf of Stefan Eggers.
Committed on 16/04/2013 at 12:49.
Pushed by mklapetek into branch 'master'.

Add option to show me typing (to others) and others typing (to me)

Adding two configuration options which allow to select if:

- Others get shown that I am typing.
- I get shown that others are typing.

REVIEW: 110009
FIXED-IN: 0.7.0

M  +10   -5    app/chat-window.cpp
M  +22   -0    config/behavior-config.cpp
M  +4    -0    config/behavior-config.h
M  +23   -0    config/behavior-config.ui
M  +2    -1    lib/channel-contact-model.cpp
M  +15   -4    lib/chat-widget.cpp
M  +50   -0    lib/text-chat-config.cpp
M  +6    -0    lib/text-chat-config.h

http://commits.kde.org/telepathy-text-ui/3a5fd3e5a9cfccb7c700a5b8f9212e7ecd76e8d6
Comment 7 Daniele E. Domenichelli 2013-04-16 22:37:26 UTC
Does the chat plasmoid use the new setting?